> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents

> Returns agent summaries for your account. Full configurations are omitted.



## OpenAPI

````yaml latest.yml GET /v1/agents
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /v1/agents:
    get:
      tags:
        - Agents
      summary: List agents
      description: >-
        Returns agent summaries for your account. Full configurations are
        omitted.
      operationId: getV1Agents
      parameters:
        - name: starting_after
          in: query
          schema:
            description: >-
              A cursor for pagination. Pass the ID of the last item from the
              previous page to fetch the next page.
            type: string
        - name: ending_before
          in: query
          schema:
            description: >-
              A cursor for pagination. Pass the ID of the first item from the
              previous page to fetch the previous page.
            type: string
        - name: limit
          in: query
          schema:
            description: The maximum number of items to return, ranging between 1 and 100.
            type: integer
            default: 10
            maximum: 100
            minimum: 1
        - name: q
          in: query
          schema:
            description: Search agents by name or description.
            type: string
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      responses:
        '200':
          description: List agents
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListManagedAgentsV1Response'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-08-14'
        default: '2026-08-14'
        enum:
          - '2026-08-14'
  schemas:
    ListManagedAgentsV1Response:
      type: object
      properties:
        data:
          description: The requested page of results.
          type: array
          items:
            $ref: '#/components/schemas/ManagedAgentSummaryV1'
        has_more:
          type: boolean
          description: Whether more results are available after this page.
        next_page:
          type: string
          nullable: true
          description: >-
            An ID that can be passed as `starting_after` or `ending_before` to
            get the next page of data.
      required:
        - data
        - has_more
      title: ListManagedAgentsResponse
    ManagedAgentSummaryV1:
      type: object
      properties:
        created_at:
          description: >-
            An RFC 3339 / ISO 8601 date-time string with timezone (e.g.
            `2025-04-16T12:34:56.789Z`).
          type: string
          format: date-time
        description:
          description: Description of the agent.
          nullable: true
          type: string
        id:
          description: Unique identifier for the agent.
          type: string
          minLength: 1
        name:
          description: Name shown for the agent.
          type: string
        updated_at:
          description: >-
            An RFC 3339 / ISO 8601 date-time string with timezone (e.g.
            `2025-04-16T12:34:56.789Z`).
          type: string
          format: date-time
        version_id:
          description: Unique identifier for an immutable agent configuration version.
          type: string
          minLength: 1
      required:
        - id
        - name
        - description
        - created_at
        - updated_at
        - version_id
      title: ManagedAgentSummary
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).
      x-default: $CARTESIA_API_KEY

````